{"command":{"effect":"write","timeoutSeconds":30,"inputSchema":{"type":"object","description":"Creates a GitHub-hosted runner for an organization.\nOAuth tokens and personal access tokens (classic) need the `manage_runners:org` scope to use this endpoint.","properties":{"path":{"type":"object","properties":{"org":{"type":"string","description":"The organization name. The name is not case sensitive."}},"required":["org"],"additionalProperties":false},"body":{"type":"object","properties":{"name":{"description":"Name of the runner. Must be between 1 and 64 characters and may only contain upper and lowercase letters a-z, numbers 0-9, '.', '-', and '_'.","type":"string"},"image":{"description":"The image of runner. To list all available images, use `GET /actions/hosted-runners/images/github-owned` or `GET /actions/hosted-runners/images/partner`.","type":"object","properties":{"id":{"description":"The unique identifier of the runner image.","type":"string"},"source":{"description":"The source of the runner image.","type":"string","enum":["github","partner","custom"]},"version":{"description":"The version of the runner image to deploy. This is relevant only for runners using custom images.","type":["string","null"]}}},"size":{"description":"The machine size of the runner. To list available sizes, use `GET actions/hosted-runners/machine-sizes`","type":"string"},"runner_group_id":{"description":"The existing runner group to add this runner to.","type":"integer"},"maximum_runners":{"description":"The maximum amount of runners to scale up to. Runners will not auto-scale above this number. Use this setting to limit your cost.","type":"integer"},"enable_static_ip":{"description":"Whether this runner should be created with a static public IP. Note limit on account. To list limits on account, use `GET actions/hosted-runners/limits`","type":"boolean"},"image_gen":{"description":"Whether this runner should be used to generate custom images.","type":"boolean","default":false}},"required":["name","image","size","runner_group_id"],"examples":[{"name":"My Hosted runner","image":{"id":"ubuntu-latest","source":"github"},"runner_group_id":1,"size":"4-core","maximum_runners":50,"enable_static_ip":false}]}},"required":["path","body"],"additionalProperties":false},"name":"Create a GitHub-hosted runner for an organization","id":"github.actions.create-hosted-runner-for-org","example":{"path":{"org":"example"},"body":{"name":"My Hosted runner","image":{"id":"ubuntu-latest","source":"github"},"runner_group_id":1,"size":"4-core","maximum_runners":50,"enable_static_ip":false}},"maxRequests":1,"summary":false}}